Shuriken = function(game,x,y,dir){
  Phaser.Sprite.call(this,game,x,y,'shuriken');
  var self = this;
  this.dir = dir || 1;
  this.anchor.set(0.5);
  if(this.dir < 0){
    this.scale.x = -1;
  }
  game.physics.arcade.enable(self);
  self.body.velocity.x = (this.dir*2)*BasicGame.scrollSpeedNormal*game.time.fps;
  game.add.existing(this);
}

Shuriken.prototype = Object.create(Phaser.Sprite.prototype);
Shuriken.prototype.constructor = Shuriken;



Shuriken.prototype.update = function(){
  this.angle += this.dir*10;
}
